using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace porez_frilenserima
{
    class Program
    {
        static void Main(string[] args)
        {
            long n = long.Parse(Console.ReadLine());
            double[] A = new double[n];
            double[] P = new double[n];
            double porez;
            double maxporez = 0;
            for(long i=0;i<n;i++)
            {
                string[] s = Console.ReadLine().Split(' ');
                A[i] = double.Parse(s[0]);
                P[i] = double.Parse(s[1]);

            }
            for(long i=0;i<n;i++)
            {
                porez = 0;
                for (long j=0;j<n;j++)
                {
                    if(P[i]<=P[j])
                    {
                        porez += A[j];
                    }
                }
                porez *= P[i] / 100;
                if (porez > maxporez)
                    maxporez = porez;
                
            }
            Console.WriteLine(maxporez);
            

        }
    }
}